<script src="@#file#(simpletransf.js)" type="text/javascript"></script>
<p>Rotacija radij-vektora linearna je transformacija. Naime, označimo li transformaciju rotacije oznakom \(R(\cdot)\), vrijedi:
\[
 R(\vec x + \vec y) = R(\vec x) + R(\vec y)\\
 R(\lambda \cdot \vec x) = \lambda \cdot R(\vec x)
\]
</p>

<p>Djelovanje rotacije za kut \(\alpha\) oko ishodišta na proizvoljan radij-vektor  prikazano je na slici 1.</p>

<figure class="mlFigure">
<img src="@#file#(rotacija.svg)" alt="Transformacija rotacije." border="0">
<figcaption>Djelovanje transformacije rotacije na zadanu točku (odnosno radij-vektor).</figcaption>
</figure>

<p>Kako smo ustanovili da je rotacija linearna transformacija, za određivanje matrice dovoljno pogledati u što se rotacijom za kut \(\alpha\) pretvaraju jedinični vektori \(\vec i\) i \(\vec j\). Slika 2 to ilustrira.</p>

<figure class="mlFigure">
<img src="@#file#(rotacija2.svg)" alt="Transformacija rotacije primijenjena na vektore baze." border="0">
<figcaption>Djelovanje transformacije rotacije na vektore \(\vec i\) i \(\vec j\).</figcaption>
</figure>

<p>Sa slike je lagano uočiti da je:
\[
R(\vec i) = (\cos{\alpha}, \sin{\alpha}) \\
R(\vec j) = (-\sin{\alpha}, \cos{\alpha}) \\
\]
Stoga slijedi da transformaciju rotacije možemo zapisati kao:
\[
[\begin{array}{cc}\hat x &amp; \hat y\end{array}] = 
[\begin{array}{cc}x &amp; y\end{array}] \cdot
\left[ \begin{array}{cc}\cos{\alpha} &amp; \sin{\alpha}\\ -\sin{\alpha} &amp; \cos{\alpha}\end{array} \right].
\]   
Odnosno ako radimo s točkama u homogenom prostoru, transformaciju možemo zapisati kao afinu transformaciju koristeći samo jednu matricu:
\[
[\begin{array}{ccc}\hat x &amp; \hat y &amp; 1\end{array}] = 
[\begin{array}{ccc}x &amp; y &amp; 1\end{array}] \cdot
\left[ \begin{array}{ccc}\cos{\alpha} &amp; \sin{\alpha} &amp; 0\\ -\sin{\alpha} &amp; \cos{\alpha} &amp; 0\\ 0 &amp; 0 &amp; 1\end{array} \right].
\]
Da se radi o linearnoj transformaciji, jasno je jer u posljednjem retku matrice nema translacijskih članova.</p>

<p>Inverzna transformacija je rotacija za kut \(-\alpha\). Operacija rotacije čuva kuteve između linija te površine likova.</p>

<p>Ukažimo na još jedno svojstvo rotacije: rotacijska matrica (\(2 \times 2\)) je ortogonalna matrica: gledamo li njezine stupce kao vektore, oni su međusobno okomiti (skalarni produkt im je 0) i norme 1; isto vrijedi i za retke. Prisjetimo se zgodnog svojstva ortogonalnih matrica: njihov inverz jednak je transponiranoj matrici. Uvjerite se u to na ovom konkretnom primjeru: usporedite transponiranu matricu rotacije i matricu koju dobijete kada za kut uvrstite \(-\alpha\) (i iskoristite činjenicu da je kosinus parna funkcija a sinus neparna, pa je \(\cos{(-\alpha)} = \cos{(\alpha)}\) odnosno \(\sin{(-\alpha)} = -\sin{(\alpha)}\).</p>

<p>Primjer djelovanja rotacije na radij-vektor dan je u nastavku. Klikom miša i povlačenjem moguće je mijenjati izvorni vektor (prikazan crno); rotirani vektor prikazuje se crveno. Ispod platna nalazi se kliznik čijom je uporabom moguće podešavati kut rotacije.</p>

<div width="500" height="500" style="position:relative; width:500px; margin: auto;">
<canvas id="myCanvas1" width="500" height="500" style="border: 1px solid white;"></canvas>
</div>
<div style="position:relative; width:500px; margin: auto;">
Kut rotacije: <span id="example1_s">30</span>°<br><input 
  onchange="setRotationTransform(example1, this.valueAsNumber); example1.paint(); document.getElementById('example1_s').innerHTML=this.value;"
  oninput="setRotationTransform(example1, this.valueAsNumber); example1.paint(); document.getElementById('example1_s').innerHTML=this.value;"
 type="range" min="-360" max="360" value="30" step="1">
</div>
<script type="text/javascript">
  var example1 = new SimpleTransfCanvas("myCanvas1");
  function setRotationTransform(c,a) {
    let si = Math.sin(a*Math.PI/180);
    let co = Math.cos(a*Math.PI/180);
    c.transform[0][0] = co;
    c.transform[0][1] = si;
    c.transform[1][0] = -si;
    c.transform[1][1] = co;
  }
  setRotationTransform(example1, 30);
  example1.paint();
</script>

<p>Primjer rotacije geometrijskog lika dan je u interaktivnoj demonstraciji u nastavku.</p>

<!-- Rotation demonstration -->
@#page-include#(shaders.html)
@#page-include#(rotation-sim-hr.html)
<!-- Rotation demonstration -->

<p>Primijetite: rotacija ne mijenja površinu lika te čuva relativni odnos linija (kutevi između parova linija ostaju nepromijenjeni).</p>
